Fixed line endings in the gradlew script
authorGeorge Nash <george.nash@intel.com>
Wed, 10 Aug 2016 17:30:08 +0000 (10:30 -0700)
committerAshok Babu Channa <ashok.channa@samsung.com>
Fri, 26 Aug 2016 05:17:25 +0000 (05:17 +0000)
The gradlew script must have linux style line endings.
This is need to avoid a 'No such file or directory'
error.

Change-Id: Idcd2b46fb61e5e2b938f46963eb2f298c8a3436d
Signed-off-by: George Nash <george.nash@intel.com>
Reviewed-on: https://gerrit.iotivity.org/gerrit/10237
Tested-by: jenkins-iotivity <jenkins-iotivity@opendaylight.org>
Reviewed-by: Tim Kourt <tim.a.kourt@intel.com>
Reviewed-by: Larry Sachs <larry.j.sachs@intel.com>
Reviewed-by: Ashok Babu Channa <ashok.channa@samsung.com>
android/android_api/gradlew

index 583ae08..91a7e26 100755 (executable)
-#!/usr/bin/env bash\r
-\r
-##############################################################################\r
-##\r
-##  Gradle start up script for UN*X\r
-##\r
-##############################################################################\r
-\r
-# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.\r
-DEFAULT_JVM_OPTS=""\r
-\r
-APP_NAME="Gradle"\r
-APP_BASE_NAME=`basename "$0"`\r
-\r
-# Use the maximum available, or set MAX_FD != -1 to use that value.\r
-MAX_FD="maximum"\r
-\r
-warn ( ) {\r
-    echo "$*"\r
-}\r
-\r
-die ( ) {\r
-    echo\r
-    echo "$*"\r
-    echo\r
-    exit 1\r
-}\r
-\r
-# OS specific support (must be 'true' or 'false').\r
-cygwin=false\r
-msys=false\r
-darwin=false\r
-case "`uname`" in\r
-  CYGWIN* )\r
-    cygwin=true\r
-    ;;\r
-  Darwin* )\r
-    darwin=true\r
-    ;;\r
-  MINGW* )\r
-    msys=true\r
-    ;;\r
-esac\r
-\r
-# For Cygwin, ensure paths are in UNIX format before anything is touched.\r
-if $cygwin ; then\r
-    [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`\r
-fi\r
-\r
-# Attempt to set APP_HOME\r
-# Resolve links: $0 may be a link\r
-PRG="$0"\r
-# Need this for relative symlinks.\r
-while [ -h "$PRG" ] ; do\r
-    ls=`ls -ld "$PRG"`\r
-    link=`expr "$ls" : '.*-> \(.*\)$'`\r
-    if expr "$link" : '/.*' > /dev/null; then\r
-        PRG="$link"\r
-    else\r
-        PRG=`dirname "$PRG"`"/$link"\r
-    fi\r
-done\r
-SAVED="`pwd`"\r
-cd "`dirname \"$PRG\"`/" >&-\r
-APP_HOME="`pwd -P`"\r
-cd "$SAVED" >&-\r
-\r
-CLASSPATH=$APP_HOME/gradle/wrapper/gradle-wrapper.jar\r
-\r
-# Determine the Java command to use to start the JVM.\r
-if [ -n "$JAVA_HOME" ] ; then\r
-    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then\r
-        # IBM's JDK on AIX uses strange locations for the executables\r
-        JAVACMD="$JAVA_HOME/jre/sh/java"\r
-    else\r
-        JAVACMD="$JAVA_HOME/bin/java"\r
-    fi\r
-    if [ ! -x "$JAVACMD" ] ; then\r
-        die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME\r
-\r
-Please set the JAVA_HOME variable in your environment to match the\r
-location of your Java installation."\r
-    fi\r
-else\r
-    JAVACMD="java"\r
-    which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.\r
-\r
-Please set the JAVA_HOME variable in your environment to match the\r
-location of your Java installation."\r
-fi\r
-\r
-# Increase the maximum file descriptors if we can.\r
-if [ "$cygwin" = "false" -a "$darwin" = "false" ] ; then\r
-    MAX_FD_LIMIT=`ulimit -H -n`\r
-    if [ $? -eq 0 ] ; then\r
-        if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ] ; then\r
-            MAX_FD="$MAX_FD_LIMIT"\r
-        fi\r
-        ulimit -n $MAX_FD\r
-        if [ $? -ne 0 ] ; then\r
-            warn "Could not set maximum file descriptor limit: $MAX_FD"\r
-        fi\r
-    else\r
-        warn "Could not query maximum file descriptor limit: $MAX_FD_LIMIT"\r
-    fi\r
-fi\r
-\r
-# For Darwin, add options to specify how the application appears in the dock\r
-if $darwin; then\r
-    GRADLE_OPTS="$GRADLE_OPTS \"-Xdock:name=$APP_NAME\" \"-Xdock:icon=$APP_HOME/media/gradle.icns\""\r
-fi\r
-\r
-# For Cygwin, switch paths to Windows format before running java\r
-if $cygwin ; then\r
-    APP_HOME=`cygpath --path --mixed "$APP_HOME"`\r
-    CLASSPATH=`cygpath --path --mixed "$CLASSPATH"`\r
-\r
-    # We build the pattern for arguments to be converted via cygpath\r
-    ROOTDIRSRAW=`find -L / -maxdepth 1 -mindepth 1 -type d 2>/dev/null`\r
-    SEP=""\r
-    for dir in $ROOTDIRSRAW ; do\r
-        ROOTDIRS="$ROOTDIRS$SEP$dir"\r
-        SEP="|"\r
-    done\r
-    OURCYGPATTERN="(^($ROOTDIRS))"\r
-    # Add a user-defined pattern to the cygpath arguments\r
-    if [ "$GRADLE_CYGPATTERN" != "" ] ; then\r
-        OURCYGPATTERN="$OURCYGPATTERN|($GRADLE_CYGPATTERN)"\r
-    fi\r
-    # Now convert the arguments - kludge to limit ourselves to /bin/sh\r
-    i=0\r
-    for arg in "$@" ; do\r
-        CHECK=`echo "$arg"|egrep -c "$OURCYGPATTERN" -`\r
-        CHECK2=`echo "$arg"|egrep -c "^-"`                                 ### Determine if an option\r
-\r
-        if [ $CHECK -ne 0 ] && [ $CHECK2 -eq 0 ] ; then                    ### Added a condition\r
-            eval `echo args$i`=`cygpath --path --ignore --mixed "$arg"`\r
-        else\r
-            eval `echo args$i`="\"$arg\""\r
-        fi\r
-        i=$((i+1))\r
-    done\r
-    case $i in\r
-        (0) set -- ;;\r
-        (1) set -- "$args0" ;;\r
-        (2) set -- "$args0" "$args1" ;;\r
-        (3) set -- "$args0" "$args1" "$args2" ;;\r
-        (4) set -- "$args0" "$args1" "$args2" "$args3" ;;\r
-        (5) set -- "$args0" "$args1" "$args2" "$args3" "$args4" ;;\r
-        (6) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" ;;\r
-        (7) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" "$args6" ;;\r
-        (8) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" "$args6" "$args7" ;;\r
-        (9) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" "$args6" "$args7" "$args8" ;;\r
-    esac\r
-fi\r
-\r
-# Split up the JVM_OPTS And GRADLE_OPTS values into an array, following the shell quoting and substitution rules\r
-function splitJvmOpts() {\r
-    JVM_OPTS=("$@")\r
-}\r
-eval splitJvmOpts $DEFAULT_JVM_OPTS $JAVA_OPTS $GRADLE_OPTS\r
-JVM_OPTS[${#JVM_OPTS[*]}]="-Dorg.gradle.appname=$APP_BASE_NAME"\r
-\r
-exec "$JAVACMD" "${JVM_OPTS[@]}" -classpath "$CLASSPATH" org.gradle.wrapper.GradleWrapperMain "$@"\r
+#!/usr/bin/env bash
+
+##############################################################################
+##
+##  Gradle start up script for UN*X
+##
+##############################################################################
+
+# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
+DEFAULT_JVM_OPTS=""
+
+APP_NAME="Gradle"
+APP_BASE_NAME=`basename "$0"`
+
+# Use the maximum available, or set MAX_FD != -1 to use that value.
+MAX_FD="maximum"
+
+warn ( ) {
+    echo "$*"
+}
+
+die ( ) {
+    echo
+    echo "$*"
+    echo
+    exit 1
+}
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false
+msys=false
+darwin=false
+case "`uname`" in
+  CYGWIN* )
+    cygwin=true
+    ;;
+  Darwin* )
+    darwin=true
+    ;;
+  MINGW* )
+    msys=true
+    ;;
+esac
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched.
+if $cygwin ; then
+    [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+fi
+
+# Attempt to set APP_HOME
+# Resolve links: $0 may be a link
+PRG="$0"
+# Need this for relative symlinks.
+while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '/.*' > /dev/null; then
+        PRG="$link"
+    else
+        PRG=`dirname "$PRG"`"/$link"
+    fi
+done
+SAVED="`pwd`"
+cd "`dirname \"$PRG\"`/" >&-
+APP_HOME="`pwd -P`"
+cd "$SAVED" >&-
+
+CLASSPATH=$APP_HOME/gradle/wrapper/gradle-wrapper.jar
+
+# Determine the Java command to use to start the JVM.
+if [ -n "$JAVA_HOME" ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+        # IBM's JDK on AIX uses strange locations for the executables
+        JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+        JAVACMD="$JAVA_HOME/bin/java"
+    fi
+    if [ ! -x "$JAVACMD" ] ; then
+        die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME
+
+Please set the JAVA_HOME variable in your environment to match the
+location of your Java installation."
+    fi
+else
+    JAVACMD="java"
+    which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
+
+Please set the JAVA_HOME variable in your environment to match the
+location of your Java installation."
+fi
+
+# Increase the maximum file descriptors if we can.
+if [ "$cygwin" = "false" -a "$darwin" = "false" ] ; then
+    MAX_FD_LIMIT=`ulimit -H -n`
+    if [ $? -eq 0 ] ; then
+        if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ] ; then
+            MAX_FD="$MAX_FD_LIMIT"
+        fi
+        ulimit -n $MAX_FD
+        if [ $? -ne 0 ] ; then
+            warn "Could not set maximum file descriptor limit: $MAX_FD"
+        fi
+    else
+        warn "Could not query maximum file descriptor limit: $MAX_FD_LIMIT"
+    fi
+fi
+
+# For Darwin, add options to specify how the application appears in the dock
+if $darwin; then
+    GRADLE_OPTS="$GRADLE_OPTS \"-Xdock:name=$APP_NAME\" \"-Xdock:icon=$APP_HOME/media/gradle.icns\""
+fi
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin ; then
+    APP_HOME=`cygpath --path --mixed "$APP_HOME"`
+    CLASSPATH=`cygpath --path --mixed "$CLASSPATH"`
+
+    # We build the pattern for arguments to be converted via cygpath
+    ROOTDIRSRAW=`find -L / -maxdepth 1 -mindepth 1 -type d 2>/dev/null`
+    SEP=""
+    for dir in $ROOTDIRSRAW ; do
+        ROOTDIRS="$ROOTDIRS$SEP$dir"
+        SEP="|"
+    done
+    OURCYGPATTERN="(^($ROOTDIRS))"
+    # Add a user-defined pattern to the cygpath arguments
+    if [ "$GRADLE_CYGPATTERN" != "" ] ; then
+        OURCYGPATTERN="$OURCYGPATTERN|($GRADLE_CYGPATTERN)"
+    fi
+    # Now convert the arguments - kludge to limit ourselves to /bin/sh
+    i=0
+    for arg in "$@" ; do
+        CHECK=`echo "$arg"|egrep -c "$OURCYGPATTERN" -`
+        CHECK2=`echo "$arg"|egrep -c "^-"`                                 ### Determine if an option
+
+        if [ $CHECK -ne 0 ] && [ $CHECK2 -eq 0 ] ; then                    ### Added a condition
+            eval `echo args$i`=`cygpath --path --ignore --mixed "$arg"`
+        else
+            eval `echo args$i`="\"$arg\""
+        fi
+        i=$((i+1))
+    done
+    case $i in
+        (0) set -- ;;
+        (1) set -- "$args0" ;;
+        (2) set -- "$args0" "$args1" ;;
+        (3) set -- "$args0" "$args1" "$args2" ;;
+        (4) set -- "$args0" "$args1" "$args2" "$args3" ;;
+        (5) set -- "$args0" "$args1" "$args2" "$args3" "$args4" ;;
+        (6) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" ;;
+        (7) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" "$args6" ;;
+        (8) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" "$args6" "$args7" ;;
+        (9) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" "$args6" "$args7" "$args8" ;;
+    esac
+fi
+
+# Split up the JVM_OPTS And GRADLE_OPTS values into an array, following the shell quoting and substitution rules
+function splitJvmOpts() {
+    JVM_OPTS=("$@")
+}
+eval splitJvmOpts $DEFAULT_JVM_OPTS $JAVA_OPTS $GRADLE_OPTS
+JVM_OPTS[${#JVM_OPTS[*]}]="-Dorg.gradle.appname=$APP_BASE_NAME"
+
+exec "$JAVACMD" "${JVM_OPTS[@]}" -classpath "$CLASSPATH" org.gradle.wrapper.GradleWrapperMain "$@"